Function
findTagKey
Find a tag's key of a BamHeaderRecord.
findTagKey(idx, key, record)
Include Headers
seqan/bam_io.h
Parameters

idx | The index of the found key is stored here. Types: unsigned
key | The name of the tag key whose position is to be stored in idx. Types: CharString
record | The record to query. Types: BamHeaderRecord

Return Values
bool, indicating whether the key could be found.
Examples
unsigned myIdx = 0;
bool keyFound = findTagKey(myIdx, "SN", record);
See Also
setTagValue, getTagValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57